using GMCabsDriverAssistantSolution.ViewModels;

namespace GMCabsDriverAssistantSolution.Views;

[XamlCompilation(XamlCompilationOptions.Compile)]
public partial class CouponsPage : ContentPage
{
    #region Fields
    private readonly CouponsViewModel _viewModel;
    #endregion

    #region Properties
    #endregion

    #region Constructor
    [Obsolete]
    public CouponsPage()
    {
        InitializeComponent();
        BindingContext = _viewModel = new CouponsViewModel();
    }
    #endregion

    #region Methods
    protected override void OnAppearing()
    {
        base.OnAppearing();
        _viewModel.OnAppearing();
    }
    private async void OnCouponHistoryViewClicked(object sender, EventArgs e)
    {
        //await Navigation.PushAsync(new CouponHistoryPage(), true);
    }
    #endregion
}